Bug 1030211 - The currency indicator on my applications page should be displayed when user started to be charged and should be changed according to the currect currency.
The currency indicator on my applications page should be displayed when user ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 02:40 EST by Yujie Zhang
Modified: 2015-05-14 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:30:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-11-14 02:40:29 EST
Description of problem:

Created one large application using silver account with C$ currency, the currency indicator on the my applications page was not displayed, and it only be displayed after I created the 4th application, and it displayed as "$". 

The currency indicator should also be displayed when user have less than 3 medium or large applications, and should be changed according to the current currency of user.

Version-Release number of selected component (if applicable):
devenv_4031

How reproducible:
always

Steps to Reproduce:
1.Create one large/medium application using silver account with C$ currency
2.Go to my application page and check the currency indicator
3.Create another 3 applications and check teh currency indicator on the my application page

Actual results:

The currency indicator will not be displayed when user have less than 3 medium or large applications, and it always displayed "$" even when user is under other currency.

Expected results:

The currency indicator should be displayed when user have less than 3 medium or large applications, and should be changed according to the current currency.

Additional info:
Comment 1 Jordan Liggitt 2013-11-14 14:03:27 EST
Will merge in https://github.com/openshift/li/pull/2159
Comment 2 openshift-github-bot 2013-11-14 14:57:11 EST
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/b32226751074f52854f06659fefc27c53f28c3c0
Fix bug 1030211: currency display
Comment 4 Yujie Zhang 2013-11-14 22:16:02 EST
Tested on devenv_4038, the currency indicator can be displayed when user has less than 3 large/medium application and can be changed according to the currency of the user, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.